Mail archive
alpine-devel

[alpine-devel] fltk upgrades, dillo, other packages...

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Sun, 16 Nov 2014 22:10:26 -0800

Hello,
I'm working on getting WebkitFLTK[1] to build, so as to build Fifth,
which is yet another Webkit browser--this time, it's loosely based on
Opera 9.x and uses FLTK.
WebkitFLTK requires FLTK 1.3.3, while we have 1.3.2.
There are some issues with doing an upgrade:
-1.3.3 has a couple bugs fixed in SVN; this is easily addressed by
grabbing the patches.
-1.3.3 also is now missing the symbol "fl_oldfocus" (and possibly others),
which will break dillo. It does *not* change the library version.
I have looked through the commit logs and looked online, and there's
no obvious candidate for what caused the issue.
The dillo developers are guessing that linker magic might have caused it;
they have a workaround that involves disabling the use of fl_oldfocus,
at the cost of not restoring focus properly.

I'm not sure what to do with this. Any advice?

Thanks,
Isaac Dunham

[1] https://github.com/clbr/webkitfltk
[2] https://github.com/clbr/fifth


---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sun Nov 16 2014 - 22:10:26 GMT